services:
  comal-pagos-frontend:
    build:
      context: .
      dockerfile: dockerfile
    ports:
      - "${APP_PORT}:5173"
    volumes:
      - .:/var/www/comal-pagos.frontend
      - /var/www/comal-pagos.frontend/node_modules
    networks:
      - comal-pagos-network
    mem_limit: 512m

networks:
  comal-pagos-network:
    driver: bridge